(* Mathematica Test File *)

Test[
	ConstantQ[\[Lambda]],
	True,
	TestID->"Constant-20160425-B1W8D1"
]

Test[
	ConstantQ[BraKet[{m},{n}]],
	True,
	TestID->"Constant-20160425-A6W6O9"
]

Test[
	ConstantQ[Bra[m] ** Operator[V] ** Ket[n]],
	True,
	TestID->"Constant-20160425-Y9E3E4"
]

Test[
	ConstantQ[Bra[m] ** Operator[V] ** Operator[H] ** Ket[n]],
	True,
	TestID->"Constant-20160425-V0K7F0"
]

Test[
	ConstantQ[Bra[m] ** Exp[I \[HBar] Operator[H]] ** Ket[n]],
	True,
	TestID->"Constant-20160425-O2W4S7"
]

Test[
	ConstantQ[Bra[m] ** (\[Lambda] Operator[V]) ** Ket[n]],
	True,
	TestID->"Constant-20160501-M4R1K7"
]

Test[
	ConstantQ[\[Lambda] Bra[m] ** Operator[V] ** Ket[n]],
	True,
	TestID->"Constant-20160501-G1K7I6"
]

Test[
	ConstantQ[Operator[V] ** Ket[n]],
	False,
	TestID->"Constant-20160425-F7U8Y7"
]

Test[
	ConstantQ[Bra[m]],
	False,
	TestID->"Constant-20160425-W4O4Y8"
]

Test[
	ConstantQ[Bra[m] ** Bra[m] ** Operator[V] ** Ket[n]],
	False,
	TestID->"Constant-20160501-F2Q6D1"
]
